summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-10-04 07:55:46 +0200
committerHans de Graaff <graaff@gentoo.org>2019-10-04 08:02:07 +0200
commit801f2f3d2062f597294ca9f52fed3abd2316130d (patch)
treea07743062068bae35132191bfaf763867717adb0
parentdev-ruby/selenium-webdriver: add 3.142.6 (diff)
downloadgentoo-801f2f3d2062f597294ca9f52fed3abd2316130d.tar.gz
gentoo-801f2f3d2062f597294ca9f52fed3abd2316130d.tar.bz2
gentoo-801f2f3d2062f597294ca9f52fed3abd2316130d.zip
dev-ruby/tilt: add 2.0.10
Package-Manager: Portage-2.3.76, Repoman-2.3.16 Signed-off-by: Hans de Graaff <graaff@gentoo.org>
-rw-r--r--dev-ruby/tilt/Manifest1
-rw-r--r--dev-ruby/tilt/tilt-2.0.10.ebuild47
2 files changed, 48 insertions, 0 deletions
diff --git a/dev-ruby/tilt/Manifest b/dev-ruby/tilt/Manifest
index e8a3d870ff9..5db9d5310c7 100644
--- a/dev-ruby/tilt/Manifest
+++ b/dev-ruby/tilt/Manifest
@@ -1 +1,2 @@
+DIST tilt-2.0.10.tar.gz 51446 BLAKE2B de5c12dcf22994f182ae163a82c3060f1d0d8b4bc2a4495f28c9befc954b4949b9d2ae6aed42e3a9c35fb68825844881d9f15b2b68d949236e5396083ff199a3 SHA512 4a36c55347e307ea0c842aad3da72cebe98bcf8a0421040cfce7a43540d1746e736ce92b7ce7492a5cfc184372842c3ac7a006f3650b4c9420d5825ec005b4ef
DIST tilt-2.0.9.gem 55296 BLAKE2B dd181295d2317ef591e9b89a0a4cf29680a05403c89c33680f563459ebbfc675bfaef14c864f8c8834103fc2ea069b33dc928f2b804d911eec21b09427f7c619 SHA512 522b2b40ca1eefc7df66cb421c66734699a2ffb1e7d1797181c2718f7ca018d3376c1a2b3617b5d3549115af69108db4c3c4632e2682329d5baf24bfdae92b42
diff --git a/dev-ruby/tilt/tilt-2.0.10.ebuild b/dev-ruby/tilt/tilt-2.0.10.ebuild
new file mode 100644
index 00000000000..9be8e3dee57
--- /dev/null
+++ b/dev-ruby/tilt/tilt-2.0.10.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="none"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md docs/TEMPLATES.md"
+
+RUBY_FAKEGEM_GEMSPEC="tilt.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Thin interface over template engines to make their usage as generic as possible"
+HOMEPAGE="https://github.com/rtomayko/tilt"
+SRC_URI="https://github.com/rtomayko/tilt/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="2"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+# Block on some of the potential test dependencies. These dependencies
+# are optional for the test suite, and we don't want to depend on all of
+# them to faciliate keywording and stabling.
+ruby_add_bdepend "test? (
+ dev-ruby/coffee-script
+ dev-ruby/erubis
+ dev-ruby/nokogiri
+ !!<dev-ruby/maruku-0.7.2 )"
+
+ruby_add_rdepend "!!<dev-ruby/tilt-1.4.1-r2:0"
+
+all_ruby_prepare() {
+ rm Gemfile || die
+ sed -e '/bundler/I s:^:#:' -i Rakefile test/test_helper.rb || die
+
+ # Avoid tests with minor syntax differences since this happens all
+ # the time when details in the dependencies change.
+ sed -e '/test_smarty_pants_true/,/^ end/ s:^:#:' \
+ -e '/test_smart_quotes_true/,/^ end/ s:^:#:' -i test/tilt_markdown_test.rb || die
+ sed -e '/smartypants when :smart is set/,/^ end/ s:^:#:' -i test/tilt_rdiscounttemplate_test.rb || die
+
+ # Skip tests for unpackaged asciidoctor converter
+ sed -i -e '/docbook 4.5/askip' test/tilt_asciidoctor_test.rb || die
+}